
%{!?dotests: %define DO_TESTS 1}

Summary: Extract, test and view RAR archives
Name: unrar
Version: 5.9.2
Release: 1
License: unRAR
Group: Applications/Archiving
URL: http://www.rarlab.com/
Source0: http://www.rarlab.com/rar/unrarsrc-%{version}.tar.gz
Source1: %{name}.1
#Patch0: %{name}-%{version}-aix.patch
Patch0 : unrar.patch
BuildRequires: make, libstdc++-devel >= 8.3.0 
Requires : libstdc++ >= 8.3.0, libgcc >= 8.3.0


%description
The unRAR utility is a freeware program, distributed with source code
and developed for extracting, testing and viewing the contents of
archives created with the RAR archiver version 1.50 and above.


%prep
%setup -q -n %{name}

# Duplicate source for 32 & 64 bits
rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/

%patch0
%build

cd 64bit
export CC="gcc "
export OBJECT_MODE=64

export CFLAGS="-O2 -maix64"

export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib  -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib  -lbsd "

gmake %{?_smp_mflags}

## make dsiestclean
if [ "%{DO_TESTS}" == 1 ]
then
    (gmake -k check || true)
fi

## # now build the 32-bit version
cd ../32bit
export CC="gcc"
export OBJECT_MODE=32
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000 -lbsd "
export CFLAG="-O2 -maix32 -D_LARGE_FILES " 

gmake %{?_smp_mflags}
if [ "%{DO_TESTS}" == 1 ]
then
    (gmake -k check || true)
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}



cd 64bit
export AR="/usr/bin/ar -X64"
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp unrar ${RPM_BUILD_ROOT}%{_bindir}/unrar
#/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in *
  do
    mv ${f} ${f}_64
  done
)

cd ../32bit
export AR="/usr/bin/ar -X32"
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install
cp unrar ${RPM_BUILD_ROOT}%{_bindir}/unrar
(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in $(ls -1| grep -v -e _32 -e _64)
  do
    mv ${f} ${f}_32
	ln -sf ${f}_64 ${f}
  done
)

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :


mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/man1/unrar.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,0755)
%doc 32bit/acknow.txt 32bit/license.txt 32bit/readme.txt
%{_bindir}/*
%{_mandir}/man1/*
/usr/linux/bin/*

%changelog
* Tue Apr 21 2020 Rishita Saha <risaha16@in.ibm.com>-5.9.2-1
- Updated to version 5.9.2

* Tue Sep 11 2018 Harshita Jain <harjain9@in.ibm.com>-5.6.5-1
- Updated to version 5.6.5

* Tue Aug 22 2017 Michael Perzl <michael@perzl.org> - 5.5.5-1
- updated to version 5.5.5

* Mon Dec 05 2016 Michael Perzl <michael@perzl.org> - 5.4.5-1
- updated to version 5.4.5

* Mon Dec 05 2016 Michael Perzl <michael@perzl.org> - 5.4.4-1
- updated to version 5.4.4

* Mon Dec 05 2016 Michael Perzl <michael@perzl.org> - 5.4.1-1
- updated to version 5.4.1

* Mon Dec 05 2016 Michael Perzl <michael@perzl.org> - 5.3.9-1
- updated to version 5.3.9

* Thu Jan 01 2015 Michael Perzl <michael@perzl.org> - 5.3.8-1
- updated to version 5.3.8

* Tue Dec 09 2014 Michael Perzl <michael@perzl.org> - 5.2.2-1
- updated to version 5.2.2

* Tue Dec 09 2014 Michael Perzl <michael@perzl.org> - 5.0.12-1
- updated to version 5.0.12

* Tue Dec 09 2014 Michael Perzl <michael@perzl.org> - 5.0.3-1
- updated to version 5.0.3

* Tue Jun 19 2012 Michael Perzl <michael@perzl.org> - 4.2.4-1
- updated to version 4.2.4

* Fri Jul 01 2011 Michael Perzl <michael@perzl.org> - 4.0.7-1
- updated to version 4.0.7

* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 4.0.4-1
- updated to version 4.0.4

* Mon May 26 2008 Michael Perzl <michael@perzl.org> - 3.7.8-1
- first version for AIX V5.1 and higher
